Package org.bgerp.model.process.queue.column

# Class Column

java.lang.Object
org.bgerp.model.process.queue.column.Column

Direct Known Subclasses:
  `Column`

public class Column extends Object

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Column(String id, ConfigMap config)`
  `protected`
  `Column(Column column)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addQuery(StringBuilder selectPart, StringBuilder joinPart)`
  `String`
  `cellHtml(Process process, Object col)`
  `String`
  `getAggregate()`
  `Object`
  `getCellValue(DynActionForm form, boolean isHtmlMedia, Process process, Object rawCellValue)`
  `int`
  `getCutIfMore()`
  `String`
  `getId()`
  `String`
  `getProcess()`
  `String`
  `getShowAsLink()`
  `String`
  `getStyle()`
  `String`
  `getTitle()`
  `int`
  `getTitleIfMore()`
  `String`
  `getValue()`
  `boolean`
  `isFormatToHtml()`
  `static Column`
  `of(String id, ConfigMap config)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Column

    protected Column(String id, ConfigMap config)

  - ### Column

    protected Column(Column column)

- ## Method Details

  - ### of

    public static Column of(String id, ConfigMap config) throws Exception
    Throws:
      `Exception`

  - ### getId

    public String getId()

  - ### getValue

    public String getValue()

  - ### getAggregate

    public String getAggregate()

  - ### getTitle

    public String getTitle()

  - ### getTitleIfMore

    public int getTitleIfMore()

  - ### isFormatToHtml

    public boolean isFormatToHtml()

  - ### getCutIfMore

    public int getCutIfMore()

  - ### getShowAsLink

    public String getShowAsLink()

  - ### getStyle

    public String getStyle()

  - ### getProcess

    public String getProcess()
    Returns:
      `process` by default, or `linked` for parent linked process.

  - ### addQuery

    public void addQuery(StringBuilder selectPart, StringBuilder joinPart) throws Exception
    Throws:
      `Exception`

  - ### getCellValue

    public Object getCellValue(DynActionForm form, boolean isHtmlMedia, Process process, Object rawCellValue) throws SQLException
    Throws:
      `SQLException`

  - ### cellHtml

    public String cellHtml(Process process, Object col)
    Returns:
      special cell rendering HTML page, can be overwritten by different cells.